Subject: Re: [PATCH] ASoC drivers for the Freescale MPC8610 SoC

From: Olof Johansson <[email-masked]>
Date: Thu, 20 Dec 2007 16:39:44 -0600

On Thu, Dec 20, 2007 at 08:24:35AM -0600, Timur Tabi wrote:
> Olof Johansson wrote:
> 
> >> +static struct of_device_id mpc8610_ids[] = {
> >> +	{ .type = "soc", },
> >> +	{}
> > 
> > Please scan based on compatible instead of device_type.
> 
> I was just following the example from another board file.  However, the 'soc' 
> node in the device tree does not have a compatible property, so I don't how to 
> change this.

Then add an appropriate compatible entry to it, please.

> > Do you ever anticipate having other dma users on the system, such as
> > memcpy offload? You'll probably need allocation support for channels
> > when that day comes (I ended up writing a simple library for dma channel
> > management for that very reason on my platform).
> 
> Yes, I plan on updating this driver to work with the standard Freescale "Elo" 
> device driver, but that will have to wait until that code is in the kernel and 
> stabilized.  The SSI is limited in which DMA channels it can use, anyway.

Ok.

-Olof